[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ExcludeTrailingPathDelimiter

Strip trailing directory separator from a pathname, if needed.

## Declaration

Source position: finah.inc line 36

`function ExcludeTrailingPathDelimiter(`
`const Path: UNICODESTRING`
`):UNICODESTRING; function ExcludeTrailingPathDelimiter(`
`const Path: RAWBYTESTRING`
`):RAWBYTESTRING;`

## Description

ExcludeTrailingPathDelimiter removes the trailing path delimiter character (PathDelim) from Path if it is present, and returns the result.

## See also

ExcludeTrailingBackslash |  | Strip trailing directory separator from a pathname, if needed.
IncludeTrailingPathDelimiter |  | Add trailing directory separator to a pathname, if needed.
PathDelim |  | Path (directory) delimiter.
IsPathDelimiter |  | Is the character at the given position a pathdelimiter ?